nxt.http

## Class CreateTransaction.CreateTransactionParameters

- java.lang.Object
- - nxt.http.CreateTransaction.CreateTransactionParameters

- Enclosing class:
    CreateTransaction

      protected class CreateTransaction.CreateTransactionParameters
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `CreateTransactionParameters(javax.servlet.http.HttpServletRequest req)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected org.json.simple.JSONStreamAware` | `createTransaction()`
    `long` | `getAmountNQT()`
    `Attachment` | `getAttachment()`
    `Chain` | `getChain()`
    `long` | `getRecipientId()`
    `ChainTransactionId` | `getReferencedTransactionId()`
    `javax.servlet.http.HttpServletRequest` | `getReq()`
    `Account` | `getSenderAccount()`
    `long` | `getSenderId()`
    `CreateTransaction.CreateTransactionParameters` | `setAmountNQT(long amountNQT)`
    `CreateTransaction.CreateTransactionParameters` | `setAttachment(Attachment attachment)`
    `CreateTransaction.CreateTransactionParameters` | `setRecipientId(long recipientId)`
    `CreateTransaction.CreateTransactionParameters` | `setReferencedTransactionId(ChainTransactionId referencedTransactionId)`
    `CreateTransaction.CreateTransactionParameters` | `setSenderAccount(Account senderAccount)`
    `CreateTransaction.CreateTransactionParameters` | `setSenderId(long senderId)`
    `CreateTransaction.CreateTransactionParameters` | `setTxChain(Chain txChain)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CreateTransactionParameters

          protected CreateTransactionParameters(javax.servlet.http.HttpServletRequest req)

  - ### Method Detail

    - #### setSenderAccount

          public CreateTransaction.CreateTransactionParameters setSenderAccount(Account senderAccount)

    - #### setSenderId

          public CreateTransaction.CreateTransactionParameters setSenderId(long senderId)

    - #### setRecipientId

          public CreateTransaction.CreateTransactionParameters setRecipientId(long recipientId)

    - #### setAmountNQT

          public CreateTransaction.CreateTransactionParameters setAmountNQT(long amountNQT)

    - #### setAttachment

          public CreateTransaction.CreateTransactionParameters setAttachment(Attachment attachment)

    - #### setTxChain

          public CreateTransaction.CreateTransactionParameters setTxChain(Chain txChain)

    - #### setReferencedTransactionId

          public CreateTransaction.CreateTransactionParameters setReferencedTransactionId(ChainTransactionId referencedTransactionId)

    - #### getReq

          public javax.servlet.http.HttpServletRequest getReq()

    - #### getChain

          public Chain getChain()
                         throws ParameterException

      Throws:
        `ParameterException`

    - #### getReferencedTransactionId

          public ChainTransactionId getReferencedTransactionId()
                                                        throws ParameterException

      Throws:
        `ParameterException`

    - #### getSenderAccount

          public Account getSenderAccount()
                                   throws ParameterException

      Throws:
        `ParameterException`

    - #### getSenderId

          public long getSenderId()

    - #### getAttachment

          public Attachment getAttachment()

    - #### getAmountNQT

          public long getAmountNQT()

    - #### getRecipientId

          public long getRecipientId()

    - #### createTransaction

          protected final org.json.simple.JSONStreamAware createTransaction()
                                                                     throws NxtException

      Throws:
        `NxtException`